org.apache.axiom.attachments.lifecycle.impl

## Class FileAccessor

- java.lang.Object
- - java.util.Observable
  - - org.apache.axiom.attachments.lifecycle.impl.FileAccessor

-     public class FileAccessor
      extends Observable

  FileAccessor wraps the attachment temp file. It is created from PartOnFile. The idea behind wrapping the file is to give rumtime an ability to track when the file is accessed with streams or data handler and accordingly trigger events to handle the the files lifecycle.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileAccessor(LifecycleManager manager, File file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCount()`
    `javax.activation.DataHandler` | `getDataHandler(String contentType)` Deprecated. This method is no longer used in Axiom 1.2.13 and will be removed in Axiom 1.3.
    `File` | `getFile()`
    `String` | `getFileName()`
    `InputStream` | `getInputStream()`
    `OutputStream` | `getOutputStream()`
    `long` | `getSize()`
    `void` | `setFile(File file)`

    - ### Methods inherited from class java.util.Observable

      `addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileAccessor

          public FileAccessor(LifecycleManager manager,
                              File file)

  - ### Method Detail

    - #### getDataHandler

          public javax.activation.DataHandler getDataHandler(String contentType)

      Deprecated. This method is no longer used in Axiom 1.2.13 and will be removed in Axiom 1.3.

    - #### getFileName

          public String getFileName()

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Throws:
        `IOException`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### getSize

          public long getSize()

    - #### getFile

          public File getFile()

    - #### setFile

          public void setFile(File file)

    - #### getAccessCount

          public int getAccessCount()

Copyright © The Apache Software Foundation. All Rights Reserved.